---
title: all_in_array
description: Filter stories by checking if a field contains all of the values provided in the query.
url: https://storyblok.com/docs/api/content-delivery/v2/filter-queries/operation-all-in-array
---

# all\_in\_array

Filter stories by checking if a field contains **all** of the values provided in the query.

This operation is typically used to filter the values of Option or References fields.

## Examples Use Cases

`filter_query[categories][all_in_array]=45d968b6-5790-4fbb-aa41-5781b8edde51,a6af7728-eadf-4428-8cf5-343304857374`  
Returns all stories that are assigned **all** of the category UUIDs specified in the query

`filter_query[topics][all_in_array]=solar-system,space-exploration`  
Returns all stories that are assigned **all** of the topics specified in the query

## Example Request and Response

The following example demonstrates how to receive all stories that are assigned **all** of the topics (“solar-system”, “space-exploration”) using the `all_in_array` operation.

-   cURL
    
    ```shellscript
    curl "https://api.storyblok.com/v2/cdn/stories/\
    ?filter_query%5Btopics%5D%5Ball_in_array%5D=solar-system%2Cspace-exploration\
    &token=ask9soUkv02QqbZgmZdeDAtt"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      accessToken: "krcV6QGxWORpYLUWt12xKQtt",
    });
    
    try {
      const response = await storyblok.get('cdn/stories/', {
        "filter_query[topics][all_in_array]": "solar-system,space-exploration"
      })
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\Client('YOUR_STORYBLOK_SPACE_ACCESS_TOKEN');
    
    $client->getStories([
      "filter_query[topics][all_in_array]" => "solar-system,space-exploration"
    ])->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.get("https://api.storyblok.com/v2/cdn/stories/?filter_query%5Btopics%5D%5Ball_in_array%5D=solar-system%2Cspace-exploration&token=ask9soUkv02QqbZgmZdeDAtt")
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://api.storyblok.com/v2/cdn/stories/?filter_query%5Btopics%5D%5Ball_in_array%5D=solar-system%2Cspace-exploration&token=ask9soUkv02QqbZgmZdeDAtt");
    var request = new RestRequest(Method.GET);
    
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://api.storyblok.com/v2/cdn/stories/"
    
    querystring = {"filter_query[topics][all_in_array]":"solar-system,space-exploration","token":"ask9soUkv02QqbZgmZdeDAtt"}
    
    payload = ""
    headers = {}
    
    response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(token: 'YOUR_TOKEN')
    
    client.stories({:params => {
      "filter_query[topics][all_in_array]" => "solar-system,space-exploration"
    }})
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .cdn(accessToken: "ask9soUkv02QqbZgmZdeDAtt"))
    var request = URLRequest(storyblok: storyblok, path: "stories/")
    request.url!.append(queryItems: [
        URLQueryItem(name: "filter_query[topics][all_in_array]", value: "solar-system,space-exploration")
    ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(CDN)) {
            accessToken = "ask9soUkv02QqbZgmZdeDAtt"
        }
    }
    
    val response = client.get("stories/") {
        url {
            parameters.append("filter_query[topics][all_in_array]", "solar-system,space-exploration")
        }
    }
    
    println(response.body<JsonElement>())
    ```

Response

```json
{
  "stories": [
    {
      "name": "Mars Unveiled: Exploring the Mysteries and Marvels of the Red Frontier",
      "created_at": "2024-02-16T14:30:19.768Z",
      "published_at": "2024-03-07T15:14:35.103Z",
      "id": 445002665,
      "uuid": "a2c57c06-2c5c-4819-acb7-0d9c047d16e9",
      "content": {
        "_uid": "6bdf037c-f713-415c-a26a-8a9cfc926c85",
        "image": {
          "id": 14114865,
          "alt": "",
          "name": "",
          "focus": "",
          "title": "",
          "source": "",
          "filename": "https://a.storyblok.com/f/276232/3500x2000/cd4947ece2/mars.jpg",
          "copyright": "",
          "fieldtype": "asset",
          "meta_data": {},
          "is_private": "",
          "is_external_url": false
        },
        "author": "51eed33d-855f-415c-ac0d-4404e03b89e1",
        "topics": ["space-exploration", "solar-system"],
        "content": "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.",
        "headline": "Mars Unveiled: Exploring the Mysteries and Marvels of the Red Frontier",
        "component": "article",
        "scheduled": "2024-02-29 17:00",
        "categories": [
          "45d968b6-5790-4fbb-aa41-5781b8edde51",
          "a6af7728-eadf-4428-8cf5-343304857374",
          "d8e48716-0ecf-4059-b568-343bf54e4128"
        ],
        "highlighted": false
      },
      "slug": "mars-unveiled-exploring-mysteries-marvels-red-frontier",
      "full_slug": "articles/mars-unveiled-exploring-mysteries-marvels-red-frontier",
      "sort_by_date": null,
      "position": 0,
      "tag_list": [],
      "is_startpage": false,
      "parent_id": 444991588,
      "meta_data": null,
      "group_id": "2e0c427d-63ed-420e-830f-bf1889da0792",
      "first_published_at": "2024-02-16T14:30:11.990Z",
      "release_id": null,
      "lang": "default",
      "path": null,
      "alternates": [],
      "default_full_slug": null,
      "translated_slugs": null
    }
  ],
  "cv": 1709827198,
  "rels": [],
  "links": []
}
```

## Pagination

-   [Previous: not\_like](/docs/api/content-delivery/v2/filter-queries/operation-not-like)
-   [Next: any\_in\_array](/docs/api/content-delivery/v2/filter-queries/operation-any-in-array)
